<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="VIEW-CONTENT">
<style>
	.sb-pagetitle { border-bottom: solid 1px #776655; }
</style>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>&#160;</td>
</tr>
<tr>
	<td class="sb-toolbarpadding">
		<xsl:apply-templates/>
	</td>
</tr>
</table>
</xsl:template>

<xsl:template match="PAGED-LIST/LIST/HEADER">
	<!--
	<xsl:variable name="headerStructure" select="document('d:/1.xml')"/>
	<xsl:for-each select="$headerStructure/root/item">
		<xsl:call-template name="LIST-HEADER-ITEM">
			<xsl:with-param name="field"><xsl:value-of select="field"/></xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="title"/></xsl:with-param>
			<xsl:with-param name="width"><xsl:value-of select="width"/></xsl:with-param>
			<xsl:with-param name="align"><xsl:value-of select="align"/></xsl:with-param>
			<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
			<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		</xsl:call-template>
	</xsl:for-each>
	-->
	
	<tr class="sb-gridview-header" align="left" style="height:24px;white-space:nowrap;">
		<xsl:call-template name="LIST-HEADER-ITEM">
			<xsl:with-param name="field">code</xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="CODE"/></xsl:with-param>
			<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
			<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		</xsl:call-template>
	
		<xsl:call-template name="LIST-HEADER-ITEM">
			<xsl:with-param name="field">name</xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
			<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
			<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		</xsl:call-template>
	
		<xsl:call-template name="LIST-HEADER-ITEM">
			<xsl:with-param name="field">englishName</xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="ENGLISH-NAME"/></xsl:with-param>
			<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
			<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			<xsl:with-param name="align">right</xsl:with-param>
		</xsl:call-template>
	
	</tr>
</xsl:template>


<xsl:template match="PAGED-LIST/LIST/ITEM">
	<xsl:variable name="class">
	<xsl:call-template name="LIST-ROW-CLASS">
        	<xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param>
	</xsl:call-template>
</xsl:variable>
	<tr class="{$class}" style="height:24px;">
	
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title"><xsl:value-of select="CODE"/></xsl:with-param>
		</xsl:call-template>
	
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
		</xsl:call-template>
	
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title"><xsl:value-of select="ENGLISH-NAME"/></xsl:with-param>
			<xsl:with-param name="align">right</xsl:with-param>
		</xsl:call-template>
	
	</tr>
</xsl:template>

</xsl:stylesheet>